package com.arunta.app.remote.example;

import com.arunta.base.audio.streaming.StreamPacket;
import com.arunta.base.audio.streaming.StreamPacketListener;
import com.arunta.base.audio.streaming.StreamControlPacket;
import com.arunta.base.audio.streaming.StreamMediaPacket;

public class TRMonitoringClient implements StreamPacketListener {

    public TRMonitoringClient() {
    }
    
    public void handlePacket(StreamPacket packet) {
        switch (packet.getPacketType()) {
            case StreamPacket.STREAM_CONTROL: {
                StreamControlPacket scp = (StreamControlPacket)packet;
                switch(scp.getStreamAction())
                {
                    case StreamControlPacket.ADD_STREAM: {
                        System.out.println(
                                "Stream starting. Stream ID: " + scp.getStreamId() + 
                                "\nMedia format: " + scp.getCodeName().toString());
                    }
                    break;
                    case StreamControlPacket.CHANGE_STREAM: {
                        System.out.println(
                                "New media format for stream. Stream ID: " + scp.getStreamId() + 
                                "\nNew media format: " + scp.getCodeName().toString());
                    }
                    break;
                    case StreamControlPacket.REMOVE_STREAM: {
                        System.out.println(
                                "Stream ended. Stream ID: " + scp.getStreamId());
                    }
                    break;
                }
            }
            break;
            case StreamPacket.STREAM_MEDIA: {
                StreamMediaPacket smp = (StreamMediaPacket)packet;
                System.out.println(
                        "Media samples for stream. Stream ID: " + smp.getStreamId() +
                        " Byte count: " + smp.getMediaSamples().length);
            }
            break;
            default: {
                System.out.println("Unknown streaming packet.");
            }
            break;
        }
    }

}
